# Updates a folder's lock state by Id.

This API endpoint updates the lock state of a folder.

Endpoint: PATCH /api/v1/folders/{folderId}/locking
Version: 1.0.0
Security: x-api-key

## Path parameters:

  - `folderId` (string, required)
    The ID of the folder item

## Query parameters:

  - `unlock` (string)
    Specifies whether to unlock the folder.
    Example: "true"

## Response 200 fields (application/json):

  - `id` (string)
    Example: "66b2710c17c0086b78a02d0c"

  - `name` (string)
    Example: "Folder Name"

  - `locked` (object)

  - `locked.isLocked` (boolean)
    Example: true

  - `locked.user` (string)
    Example: "66a8430c17c0086b78a42b2a"

  - `locked.time` (string)
    Example: "2020-10-30T18:00:00.000Z"

## Response 303 fields (application/json):

  - `data` (object)

  - `data.url` (string)
    The URL to the new location of the resource.

## Response 400 fields (application/json):

  - `message` (string)
    The error message
    Example: "folderId is not a valid Mongo ObjectId."

## Response 401 fields (application/json):

  - `message` (string)
    Reason for the error such as incorrect service access, malformed, expired or deactivated token.
    Example: "Invalid token"

  - `name` (string)
    Unauthorized
    Example: "Unauthorized"

  - `status` (integer)
    The HTTP status code.
    Example: 401

## Response 413 fields (application/json):

  - `message` (string)
    Reason for the error related to the payload size
    Example: "Response size is greater than 1MB"

  - `name` (string)
    PayloadTooLarge
    Example: "PayloadTooLarge"

  - `status` (integer)
    The HTTP status code.
    Example: 413


